r.series(1)

NAME
r.series - Makes each output cell value a function of the values assigned to the corresponding cells in the input raster map layers.

SYNOPSIS
r.series
r.series help
r.series [-qn] input=string[,string,...] output=string method=string

  Flags:

-q  Run quietly

-n  Propagate NULLs

  Parameters:

input=string[,string,...]
    Names of existing raster files

output=string
    Name of the new raster file

method=string
    Aggregate operation Options: average,count,median,mode,minimum,maximum,stddev,sum,variance,diversity,slope,offset

DESCRIPTION
r.series makes each output cell value a function of the values assigned to the corresponding cells in the input raster map layers. Following methods are available:

        average: average value

        count: count of non-NULL cells

        median: median value

        mode: most frequently occuring value

        minimum: lowest value

        maximum: highest value

        stddev: standard deviation

        sum: sum of values

        variance: statistical variance

        diversity: number of different values

        slope: linear regression slope

        offset: linear regression offset

NOTES
With -n flag, any cell for which any of the corresponding input cells are NULL is automatically set to NULL. The aggregate function is not called, so all methods behave this way with respect to the -n flag.

Without -n flag, the complete list of inputs for each cell (including NULLs) is passed to the aggregate function. Individual aggregates can handle data as they choose. Mostly, they just compute the aggregate over the non-NULL values, producing a NULL result only if all inputs are NULL.

EXAMPLE
Using r.series with wildcards:
r.series input="`g.mlist pattern='insitu_data.*' sep=,`" output=insitu_data.stddev method=stddev

Note the g.mlist script also supports regular expressions for selecting map names.

SEE ALSO
g.mlist, g.region

AUTHOR
Glynn Clements

Last changed: $Date: 2005/02/28 16:39:14 $

Help Index